Bug 984992 - Generated metadata are not consistent with yum/createrepo metadata
Generated metadata are not consistent with yum/createrepo metadata
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
_unset
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas "Shea" DeAntonio
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 10:16 EDT by Remi Collet
Modified: 2017-07-05 11:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-05 11:18:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2013-07-16 10:16:28 EDT
Description of problem:
Yum is unable to resolves some dependencies from RHN

Version-Release number of selected component (if applicable):
Current RHN prod version.
RHEL-6

How reproducible:
Always

Steps to Reproduce:
1. rhn-channel --add --channel=rhel-x86_64-server-6-rhscl-1-beta
2. yum install php54
3. yum install php54-php-pecl-memcache

Actual results:
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php54-php-pecl-memcache.x86_64 0:3.0.8-1.el6_4 will be
installed
--> Processing Dependency: php54-php(zend-abi) = 20100525-x86-64 for
package: php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
--> Processing Dependency: php54-php(api) = 20100412-x86-64 for package:
php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
--> Finished Dependency Resolution
Error: Package: php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
(rhel-x86_64-server-6-rhscl-1-beta)
           Requires: php54-php(api) = 20100412-x86-64
           Installed: php54-php-common-5.4.14-3.el6.x86_64
(@rhel-x86_64-server-6-rhscl-1-beta)
               php54-php(api) = 20100412-x86-64
Error: Package: php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
(rhel-x86_64-server-6-rhscl-1-beta)
           Requires: php54-php(zend-abi) = 20100525-x86-64
           Installed: php54-php-common-5.4.14-3.el6.x86_64
(@rhel-x86_64-server-6-rhscl-1-beta)
               php54-php(zend-abi) = 20100525-x86-64
 You could try using --skip-broken to work around the problem


Expected results:
No broken dep.

Additional info:
I know the virtual used for ABI check is probably not the better, as it includes 2 dash.

The metadata seems different between RHN and createrepo.
- Ver = 20100525, Rel = x86-64
- Ver = 20100525-x86, Rel = 64

Known workaround:
- yumdownloader foo
- yum localinstall foo-x.y.rpm
Comment 1 Alexander Todorov 2013-07-19 06:05:17 EDT
(In reply to Remi Collet from comment #0)
> Description of problem:
> Yum is unable to resolves some dependencies from RHN
> 
> Version-Release number of selected component (if applicable):
> Current RHN prod version.
> RHEL-6
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. rhn-channel --add --channel=rhel-x86_64-server-6-rhscl-1-beta
> 2. yum install php54

Hi Remi,
does php54 install in step 2? 

> 3. yum install php54-php-pecl-memcache
> 
> Actual results:
> This system is receiving updates from RHN Classic or RHN Satellite.
> Setting up Install Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package php54-php-pecl-memcache.x86_64 0:3.0.8-1.el6_4 will be
> installed
> --> Processing Dependency: php54-php(zend-abi) = 20100525-x86-64 for
> package: php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
> --> Processing Dependency: php54-php(api) = 20100412-x86-64 for package:
> php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
> --> Finished Dependency Resolution
> Error: Package: php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
> (rhel-x86_64-server-6-rhscl-1-beta)
>            Requires: php54-php(api) = 20100412-x86-64
>            Installed: php54-php-common-5.4.14-3.el6.x86_64
> (@rhel-x86_64-server-6-rhscl-1-beta)
>                php54-php(api) = 20100412-x86-64
> Error: Package: php54-php-pecl-memcache-3.0.8-1.el6_4.x86_64
> (rhel-x86_64-server-6-rhscl-1-beta)
>            Requires: php54-php(zend-abi) = 20100525-x86-64
>            Installed: php54-php-common-5.4.14-3.el6.x86_64
> (@rhel-x86_64-server-6-rhscl-1-beta)
>                php54-php(zend-abi) = 20100525-x86-64
>  You could try using --skip-broken to work around the problem
> 

What provides php54-php(api), is this the php54 RPM package installed in step 2) ?
Comment 2 Alexander Todorov 2013-07-19 07:40:39 EDT
Using steps to reproduce from comment #0 I can reproduce. 

If, however, on a clean system, I try: 

yum install php54* then there is no problem. (you need the optional channel too)
Comment 3 Remi Collet 2013-07-22 01:15:26 EDT
(In reply to Alexander Todorov from comment #1)
> > 2. yum install php54
> 
> Hi Remi,
> does php54 install in step 2? 

Yes

> What provides php54-php(api), is this the php54 RPM package installed in
> step 2) ?

php54-php-common (pulled by php54) provides  php54-php(zend-abi) = 20100525-x86-64


> yum install php54* then there is no problem. (you need the optional channel too)

Yes.
But it is not common to install "all" php packages.

So all metadata provided through RHN are there, but not consistent with metadata from already installed packages (rpm database) or with metadata provided by "createrepo".
Comment 4 Marcela Mašláňová 2013-07-29 10:35:04 EDT
Hi Richard,
is it possible that inconsistency between metadata in RHN and in compose can be caused by different createrepo? I guess createrepo of RHN is written in Java and it has different algorithm.
Could be the same problem also with CDN?
Comment 7 Jan Horacek 2014-12-18 08:48:53 EST
Hi we are experiencing similar problem here.

yum reinstall php-pecl-imagick php-common
work ok

yum reinstall php-pecl-imagick
does not work

---><---
[root@xxxx packages]# yum reinstall php-pecl-imagick 
Loaded plugins: auto-update-debuginfo, changelog, downloadonly, etckeeper, presto, priorities, rhnplugin, security, versionlock
This system is receiving updates from RHN Classic or Red Hat Satellite.
Setting up Reinstall Process
Resolving Dependencies
--> Running transaction check
---> Package php-pecl-imagick.x86_64 0:3.1.2-4.el6.remi.5.4 will be reinstalled
--> Processing Dependency: php(api) = 20100412-x86-64 for package: php-pecl-imagick-3.1.2-4.el6.remi.5.4.x86_64
--> Processing Dependency: php(zend-abi) = 20100525-x86-64 for package: php-pecl-imagick-3.1.2-4.el6.remi.5.4.x86_64
--> Finished Dependency Resolution
Error: Package: php-pecl-imagick-3.1.2-4.el6.remi.5.4.x86_64 (remi-channel-6-x86_64)
           Requires: php(zend-abi) = 20100525-x86-64
           Installed: php-common-5.4.35-1.el6.remi.x86_64 (@remi-channel-6-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.34-1.el6.remi.x86_64 (remi-channel-6-x86_64)
               php(zend-abi) = 20100525-x86-64
Error: Package: php-pecl-imagick-3.1.2-4.el6.remi.5.4.x86_64 (remi-channel-6-x86_64)
           Requires: php(api) = 20100412-x86-64
           Installed: php-common-5.4.35-1.el6.remi.x86_64 (@remi-channel-6-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.34-1.el6.remi.x86_64 (remi-channel-6-x86_64)
               php(api) = 20100412-x86-64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
---><---

with
yum-3.2.29-60.el6.centos.noarch
php-common-5.4.35-1.el6.remi.x86_64
php-pecl-imagick-3.1.2-4.el6.remi.5.4.x86_64
and local spacewalk 2.2.1-1.el6
Comment 8 Tomas Lestach 2015-03-27 11:38:43 EDT
We just addressed this issue in Spacewalk. Feel free to check our solution on
https://github.com/spacewalkproject/spacewalk/commit/85da7290bff449bf7aaf8a5db15eaa773b6e4934
The commit message should explain the problem.
Comment 9 Thomas "Shea" DeAntonio 2017-07-05 11:18:35 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.